<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (version 1.7.0_80) on Wed Sep 20 14:52:14 UTC 2017 -->
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<title>SingleFileReport (Gradle API 4.2)</title>
<meta name="date" content="2017-09-20">
<link rel="stylesheet" type="text/css" href="../../../../javadoc.css" title="Style">
</head>
<body>
<script type="text/javascript"><!--
    if (location.href.indexOf('is-external=true') == -1) {
        parent.document.title="SingleFileReport (Gradle API 4.2)";
    }
//-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar_top">
<!--   -->
</a><a href="#skip-navbar_top" title="Skip navigation links"></a><a name="navbar_top_firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../index-all.html">Index</a></li>
<li><a href="../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../org/gradle/api/reporting/ReportingExtension.html" title="class in org.gradle.api.reporting"><span class="strong">Prev Class</span></a></li>
<li>Next Class</li>
</ul>
<ul class="navList">
<li><a href="../../../../index.html?org/gradle/api/reporting/SingleFileReport.html" target="_top">Frames</a></li>
<li><a href="SingleFileReport.html" target="_top">No Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../allclasses-noframe.html">All Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method_summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method_detail">Method</a></li>
</ul>
</div>
<a name="skip-navbar_top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">org.gradle.api.reporting</div>
<h2 title="Interface SingleFileReport" class="title">Interface SingleFileReport</h2>
</div>
<div class="contentContainer">
<div class="description">
<ul class="blockList">
<li class="blockList">
<dl>
<dt>All Superinterfaces:</dt>
<dd>org.gradle.util.Configurable&lt;<a href="../../../../org/gradle/api/reporting/Report.html" title="interface in org.gradle.api.reporting">Report</a>&gt;, <a href="../../../../org/gradle/api/reporting/ConfigurableReport.html" title="interface in org.gradle.api.reporting">ConfigurableReport</a>, <a href="../../../../org/gradle/api/reporting/Report.html" title="interface in org.gradle.api.reporting">Report</a>, <a href="https://docs.oracle.com/javase/7/docs/api/java/io/Serializable.html?is-external=true" title="class or interface in java.io">Serializable</a></dd>
</dl>
<dl>
<dt>All Known Subinterfaces:</dt>
<dd><a href="../../../../org/gradle/api/reporting/CustomizableHtmlReport.html" title="interface in org.gradle.api.reporting">CustomizableHtmlReport</a>, <a href="../../../../org/gradle/api/plugins/quality/FindBugsXmlReport.html" title="interface in org.gradle.api.plugins.quality">FindBugsXmlReport</a></dd>
</dl>
<hr>
<br>
<pre>public interface <span class="strong">SingleFileReport</span>
extends <a href="../../../../org/gradle/api/reporting/ConfigurableReport.html" title="interface in org.gradle.api.reporting">ConfigurableReport</a></pre>
<div class="block">A report that is a single file.</div>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- ======== NESTED CLASS SUMMARY ======== -->
<ul class="blockList">
<li class="blockList"><a name="nested_class_summary">
<!--   -->
</a>
<h3>Nested Class Summary</h3>
<ul class="blockList">
<li class="blockList"><a name="nested_classes_inherited_from_class_org.gradle.api.reporting.Report">
<!--   -->
</a>
<h3>Nested classes/interfaces inherited from interface&nbsp;org.gradle.api.reporting.<a href="../../../../org/gradle/api/reporting/Report.html" title="interface in org.gradle.api.reporting">Report</a></h3>
<code><a href="../../../../org/gradle/api/reporting/Report.OutputType.html" title="enum in org.gradle.api.reporting">Report.OutputType</a></code></li>
</ul>
</li>
</ul>
<!-- =========== FIELD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="field_summary">
<!--   -->
</a>
<h3>Field Summary</h3>
<ul class="blockList">
<li class="blockList"><a name="fields_inherited_from_class_org.gradle.api.reporting.Report">
<!--   -->
</a>
<h3>Fields inherited from interface&nbsp;org.gradle.api.reporting.<a href="../../../../org/gradle/api/reporting/Report.html" title="interface in org.gradle.api.reporting">Report</a></h3>
<code><a href="../../../../org/gradle/api/reporting/Report.html#NAMER">NAMER</a></code></li>
</ul>
</li>
</ul>
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method_summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="overviewSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span>Methods</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr class="altColor">
<td class="colFirst"><code><a href="https://docs.oracle.com/javase/7/docs/api/java/io/File.html?is-external=true" title="class or interface in java.io">File</a></code></td>
<td class="colLast"><code><strong><a href="../../../../org/gradle/api/reporting/SingleFileReport.html#getDestination()">getDestination</a></strong>()</code>
<div class="block">The location on the filesystem of the report when it is generated.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code><a href="../../../../org/gradle/api/reporting/Report.OutputType.html" title="enum in org.gradle.api.reporting">Report.OutputType</a></code></td>
<td class="colLast"><code><strong><a href="../../../../org/gradle/api/reporting/SingleFileReport.html#getOutputType()">getOutputType</a></strong>()</code>
<div class="block">Always returns <a href="../../../../org/gradle/api/reporting/Report.OutputType.html#FILE"><code>Report.OutputType.FILE</code></a></div>
</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="methods_inherited_from_class_org.gradle.api.reporting.ConfigurableReport">
<!--   -->
</a>
<h3>Methods inherited from interface&nbsp;org.gradle.api.reporting.<a href="../../../../org/gradle/api/reporting/ConfigurableReport.html" title="interface in org.gradle.api.reporting">ConfigurableReport</a></h3>
<code><a href="../../../../org/gradle/api/reporting/ConfigurableReport.html#setDestination(java.io.File)">setDestination</a>, <a href="../../../../org/gradle/api/reporting/ConfigurableReport.html#setDestination(java.lang.Object)">setDestination</a>, <a href="../../../../org/gradle/api/reporting/ConfigurableReport.html#setDestination(org.gradle.api.provider.Provider)">setDestination</a>, <a href="../../../../org/gradle/api/reporting/ConfigurableReport.html#setEnabled(boolean)">setEnabled</a>, <a href="../../../../org/gradle/api/reporting/ConfigurableReport.html#setEnabled(org.gradle.api.provider.Provider)">setEnabled</a></code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods_inherited_from_class_org.gradle.api.reporting.Report">
<!--   -->
</a>
<h3>Methods inherited from interface&nbsp;org.gradle.api.reporting.<a href="../../../../org/gradle/api/reporting/Report.html" title="interface in org.gradle.api.reporting">Report</a></h3>
<code><a href="../../../../org/gradle/api/reporting/Report.html#getDisplayName()">getDisplayName</a>, <a href="../../../../org/gradle/api/reporting/Report.html#getName()">getName</a>, <a href="../../../../org/gradle/api/reporting/Report.html#isEnabled()">isEnabled</a></code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods_inherited_from_class_org.gradle.util.Configurable">
<!--   -->
</a>
<h3>Methods inherited from interface&nbsp;org.gradle.util.Configurable</h3>
<code>configure</code></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method_detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="getDestination()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getDestination</h4>
<pre><a href="https://docs.oracle.com/javase/7/docs/api/java/io/File.html?is-external=true" title="class or interface in java.io">File</a>&nbsp;getDestination()</pre>
<div class="block"><strong>Description copied from interface:&nbsp;<code><a href="../../../../org/gradle/api/reporting/Report.html#getDestination()">Report</a></code></strong></div>
<div class="block">The location on the filesystem of the report when it is generated.
 <p>
 Depending on the <a href="../../../../org/gradle/api/reporting/Report.html#getOutputType()"><code>output type</code></a> of the report, this may point to
 a file or a directory.
 <p>
 Subtypes may implement setters for the destination.</div>
<dl>
<dt><strong>Specified by:</strong></dt>
<dd><code><a href="../../../../org/gradle/api/reporting/Report.html#getDestination()">getDestination</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../org/gradle/api/reporting/Report.html" title="interface in org.gradle.api.reporting">Report</a></code></dd>
<dt><span class="strong">Returns:</span></dt><dd>The location on the filesystem of the report when it is generated</dd></dl>
</li>
</ul>
<a name="getOutputType()">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>getOutputType</h4>
<pre><a href="../../../../org/gradle/api/reporting/Report.OutputType.html" title="enum in org.gradle.api.reporting">Report.OutputType</a>&nbsp;getOutputType()</pre>
<div class="block">Always returns <a href="../../../../org/gradle/api/reporting/Report.OutputType.html#FILE"><code>Report.OutputType.FILE</code></a></div>
<dl>
<dt><strong>Specified by:</strong></dt>
<dd><code><a href="../../../../org/gradle/api/reporting/Report.html#getOutputType()">getOutputType</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../org/gradle/api/reporting/Report.html" title="interface in org.gradle.api.reporting">Report</a></code></dd>
<dt><span class="strong">Returns:</span></dt><dd><a href="../../../../org/gradle/api/reporting/Report.OutputType.html#FILE"><code>Report.OutputType.FILE</code></a></dd></dl>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar_bottom">
<!--   -->
</a><a href="#skip-navbar_bottom" title="Skip navigation links"></a><a name="navbar_bottom_firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../index-all.html">Index</a></li>
<li><a href="../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../org/gradle/api/reporting/ReportingExtension.html" title="class in org.gradle.api.reporting"><span class="strong">Prev Class</span></a></li>
<li>Next Class</li>
</ul>
<ul class="navList">
<li><a href="../../../../index.html?org/gradle/api/reporting/SingleFileReport.html" target="_top">Frames</a></li>
<li><a href="SingleFileReport.html" target="_top">No Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../allclasses-noframe.html">All Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method_summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method_detail">Method</a></li>
</ul>
</div>
<a name="skip-navbar_bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
